# Uses of Class
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricID

Packages that use TelemetryMetricID
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

## Uses of TelemetryMetricID in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util with parameters of type TelemetryMetricID
Modifier and Type
Method
Description
`static Optional<io.opentelemetry.sdk.metrics.data.HistogramPointData>`
InMemoryMetricReader.`getHistogramPointData(io.opentelemetry.sdk.metrics.data.MetricData md, TelemetryMetricID id)`
`static Optional<io.opentelemetry.sdk.metrics.data.LongPointData>`
InMemoryMetricReader.`getLongPointData(io.opentelemetry.sdk.metrics.data.MetricData md, TelemetryMetricID id)`
`Optional<io.opentelemetry.sdk.metrics.data.MetricData>`
InMemoryMetricReader.`getMetric(TelemetryMetricID id)`
Get the metric for the given `id`.
`long`
InMemoryMetricReader.`readLongData(TelemetryMetricID id)`
Constructors in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util with parameters of type TelemetryMetricID
Modifier
Constructor
Description
``
`TelemetryHistogramMetric(TelemetryMetricID metricId)`
``
`TelemetryLongMetric(TelemetryMetricID metricId)`